//------------------------------------------------------------------------------
// <auto-generated>
//    This code was generated from a template.
//
//    Manual changes to this file may cause unexpected behavior in your application.
//    Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace SSCMvc.Models
{
    using System;
    using System.Collections.Generic;
    using System.ComponentModel.DataAnnotations;
    public partial class User
    {
        public User()
        {
            this.MaAdmissions = new HashSet<MaAdmission>();
            this.MaEnquiries = new HashSet<MaEnquiry>();
            this.MaEnquiries1 = new HashSet<MaEnquiry>();
            this.MaBugReports = new HashSet<MaBugReport>();
            this.MaEnqFollows = new HashSet<MaEnqFollow>();
            this.Tb_MockTest = new HashSet<Tb_MockTest>();
            this.Tb_IELTSResult = new HashSet<Tb_IELTSResult>();
            this.Tb_StudentTransfer = new HashSet<Tb_StudentTransfer>();
            this.Tb_StudentTransfer1 = new HashSet<Tb_StudentTransfer>();
            this.Tb_VisaPayment = new HashSet<Tb_VisaPayment>();
        }


        public int Id { get; set; }
        [Required(ErrorMessage = "Branch  is required")]
        public Nullable<int> BranchId { get; set; }

        public Nullable<int> UserId { get; set; }


        //[Required(ErrorMessage = "Password  is required")]
        // [RegularExpression(@"^.*(?=.{3,})(?=.*[a-z])(?=.*[A-Z])(?=.*[\W])(?=.*[\d]).*$", ErrorMessage = "Password is not in proper format")]
        [DataType(DataType.Password)]
        [StringLength(20, MinimumLength = 7, ErrorMessage = "Minium length of password is 7 and maximum is 20")]
        public string Password { get; set; }

        [Display(Name = "Confirm Password")]
        //[Required(ErrorMessage = "Password  is required")]
        [DataType(DataType.Password)]
        [StringLength(20, MinimumLength = 7, ErrorMessage = "Minium length of password is 7 and maximum is 20")]
        public string ConfirmPassword { get; set; }

        [DataType(DataType.EmailAddress, ErrorMessage = "Invalid")]
        public string Email { get; set; }


        [Required(ErrorMessage = "Fullname  is required")]
        [Display(Name = "Full Name")]
        public string Fullname { get; set; }




        [StringLength(15)]
        [DataType(DataType.Text)]
        [Display(Name = "MobileNo")]
        [Required(ErrorMessage = "Mobile no. is required")]
        [RegularExpression(@"\d{10}$", ErrorMessage = "Not a valid number")]
        public string Mobile { get; set; }

        [DataType(DataType.Date)]

        public Nullable<System.DateTime> EstPurchaseDate { get; set; }
        [DataType(DataType.Date)]
        [Display(Name = "Date Of Join")]
        [Required(ErrorMessage = "Date Of Join date is required")]
        public Nullable<System.DateTime> DateOfJoin { get; set; }

        [DataType(DataType.Date)]
        [Display(Name = "Date Of left")]
        public Nullable<System.DateTime> DateOfLeav { get; set; }

        public Nullable<System.DateTime> expirydate { get; set; }

        private Nullable<bool> _Status;
        public bool Status
        {
            get
            {
                if (_Status == true)
                {

                    return true;
                }
                else
                {
                    return false;
                }
            }
            set
            {

                _Status = value;
            }

        }



        private Nullable<bool> _NewUser;
        public bool IsNewUser
        {
            get
            {
                if (_NewUser == true)
                {

                    return true;
                }
                else
                {
                    return false;
                }
            }
            set
            {

                _NewUser = value;
            }

        }



        [StringLength(250)]
        public string Remarks { get; set; }
        [Required(ErrorMessage = "User type  is required")]
        [Display(Name = "User Type")]
        public string Usertype { get; set; }

        //[Required(ErrorMessage = "Designation is required")]
        public Nullable<int> DesignationId { get; set; }

        [Display(Name = "UserName")]
        [Required(ErrorMessage = "UserName is required")]
        public string username { get; set; }

        [Display(Name = "Role")]
        [Required(ErrorMessage = "User Role is required")]
        public Nullable<int> RollId { get; set; }

        [Display(Name = "Sub Role")]
        [Required(ErrorMessage = "Sub Role is required")]
        public string SubRole { get; set; }



        public virtual ICollection<MaAdmission> MaAdmissions { get; set; }
        public virtual MaBranch MaBranch { get; set; }
        public virtual MaDesignation MaDesignation { get; set; }
        public virtual ICollection<MaEnquiry> MaEnquiries { get; set; }
        public virtual ICollection<MaEnquiry> MaEnquiries1 { get; set; }
        public virtual ICollection<Tb_FeeReceipt> Tb_FeeReceipt { get; set; }
        public virtual ICollection<MaBugReport> MaBugReports { get; set; }
        public virtual ICollection<MaEnqFollow> MaEnqFollows { get; set; }
        public virtual ICollection<Tb_MockTest> Tb_MockTest { get; set; }
        public virtual ICollection<Tb_IELTSResult> Tb_IELTSResult { get; set; }
        public virtual ICollection<Tb_StudentTransfer> Tb_StudentTransfer { get; set; }
        public virtual ICollection<Tb_StudentTransfer> Tb_StudentTransfer1 { get; set; }
        public virtual ICollection<Tb_VisaPayment> Tb_VisaPayment { get; set; }
    }
}
